using AutoMapper;
using GxPress.Repository.Interface;
using GxPress.Service.Interface;
using GxPress.Service.Interface.Department;

namespace GxPress.Service.Implement.Department
{

    /// <summary>
    /// 部门
    /// </summary>
    public partial class DepartmentService : IDepartmentService
    {

        private readonly IMapper _mapper;
        private readonly IDepartmentRepository _departmentRepository;
        private readonly IUserRepository _userRepository;
        private readonly IUserService _userService;

        public DepartmentService(IMapper mapper, IDepartmentRepository departmentRepository,
            IUserRepository userRepository, IUserService userService)
        {
            _departmentRepository = departmentRepository;
            _userRepository = userRepository;
            _userService = userService;
            _mapper = mapper;
        }
      
    }
}
